# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

#########################################
# called from customtool
#########################################
proc writedefaults {} {
global storedir home
global sfont lfont
global defaulteditor defaultbrowser defaultstoredir
global defaultcan

set id [open $home/.mftdefaults w+]

if [info exist defaulteditor]  {puts $id $defaulteditor}  else {puts $id ""}
if [info exist defaultbrowser]  {puts $id $defaultbrowser}  else {puts $id ""}
if [info exist defaultstoredir]  {puts $id $defaultstoredir}  else {puts $id $home}
if [info exist defaultcan]      {puts $id $defaultcan}      else {puts $id 600}

close $id

}

#########################################
#########################################

proc readdefaults {} {
global storedir DOS home
global editor browser defaulteditor defaultbrowser defaultstoredir
global defaultcan can

set defaulteditor  ""
set defaultbrowser  ""
if ![info exist defaultstoredir] {set defaultstoredir  $home}
set defaultcan 600

set file ""

if [file exists $home/.mftdefaults] {

  set file $home/.mftdefaults

   set id [open $file r]

   gets $id defaulteditor
   gets $id defaultbrowser
   gets $id defaultstoredir
   gets $id defaultcan

   close $id
}

if {$defaulteditor==""} {
   if {$DOS==0} {
      set editor "kwrite "
   } else {
      set editor "c:/programme/zubehr/wordpad.exe"
   }
} else {
  set editor $defaulteditor
}


if {$defaultbrowser==""} {
   if {$DOS==0} {
      set browser "netscape"
   } else {
      set browser "c:/windows/explorer.exe"
   }
} else {
  set editor $defaulteditor
  set browser $defaultbrowser

}

if {$defaultstoredir==""} {

  set storedir $home
} else {
  set editor $defaulteditor
  set browser $defaultbrowser
  set storedir $defaultstoredir
}
if {$defaultcan!=""} {set can $defaultcan}
writedefaults
}
