# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc resetscale {{pos 0}} {

global toolflag ovc
global minx miny maxx maxy mint maxt
global remminx remminy remmaxx remmaxy remmint remmaxt


if {$pos==0} {
    set minx $remminx
    set maxx $remmaxx
    set miny $remminy
    set maxy $remmaxy
} else {
    set minx -1    
}

if [info exist remmint] {set mint $remmint}
if [info exist remmaxt] {set maxt $remmaxt}


destroy $ovc
 switch $toolflag {
      "plot" {plotControl;$ovc.right.misc.tp invoke}
      "slope" {slopeControl;$ovc.left.er.calc invoke}
}

}

