# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc plot_eigenricht { } {
global EV1 EV2
global xmin xmax
global ymin ymax

set wid 1
if {$EV1=="komplex" || $EV2=="komplex"} {return}
regsub {[(]} $EV1 "" e1
regsub {[)]} $e1 "" e1


set e1x [lindex $e1 0]
set e1y [lindex $e1 1]

if {$e1x !="0"} {
set y [expr $xmax*$e1y/$e1x]
.ov.plot create line [nnx 0] [nny 0] [nnx $xmax] [nny $y] -width $wid -fill magenta
.ov.plot create line [nnx 0] [nny 0] [nnx [expr -1.0*$xmax]] [nny [expr -1.0*$y]] -width $wid -fill magenta

} else {

.ov.plot create line [nnx 0] [nny 0] [nnx 0] [nny $ymax] -width $wid -fill magenta
.ov.plot create line [nnx 0] [nny 0] [nnx 0] [nny [expr -1.0*$ymax]] -width $wid -fill magenta

}

regsub {[(]} $EV2 "" e2
regsub {[)]} $e2 "" e2


set e2x [lindex $e2 0]
set e2y [lindex $e2 1]

if {$e2x !="0"} {
set y [expr $xmax*$e2y/$e2x]
textinfo $y
.ov.plot create line [nnx 0] [nny 0] [nnx $xmax] [nny $y] -width $wid -fill purple
.ov.plot create line [nnx 0] [nny 0] [nnx [expr -1.0*$xmax]] [nny [expr -1.0*$y]] -width $wid -fill purple

} else {

.ov.plot create line [nnx 0] [nny 0] [nnx 0] [nny $ymax] -width $wid -fill purple
.ov.plot create line [nnx 0] [nny 0] [nnx 0] [nny [expr -1.0*$ymax]] -width $wid -fill purple

}



}
