# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc LoadFunc {{nameflag 1}} {
global storedir
global install_dir
global functionx functiony
global minx maxx miny maxy maxsteps endtime
global a b c d e

killwin

switch $nameflag {
1  {set name [fileselect "Select function file" tgf $storedir open]}
2  {set name $install_dir/src/slope/tempout.tgf}
3  {set name $install_dir/src/slope/tempin.tgf}
}

if {[file exists $name]  && $name !=""} {
  set ff [open $name]

  set functionx [gets $ff]
  set functiony [gets $ff]
  set minx [gets $ff]
  set maxx [gets $ff]
  set miny [gets $ff]
  set maxy [gets $ff]
  set maxsteps [gets $ff]
  set endtime [gets $ff]
  set a [gets $ff]
  set b [gets $ff]
  set c [gets $ff]
  set d [gets $ff]
  set e [gets $ff]

 if {$nameflag==1} {set storedir [file dirname $name]}

}
#  switch $toolflag {
#  slope slopeControl
#  bifu bifuControl
#  }

textdel
}


proc SaveFunc {{nameflag 1}} {
global storedir
global install_dir

global functionx functiony
global minx maxx miny maxy maxsteps endtime
global a b c d e

if {$nameflag==1} {
  set name [fileselect "Select function file" tgf $storedir save]
} else {
  set name $install_dir/src/slope/tempin.tgf
}

if {$name !=""} {

if {[file extension $name] != ".tgf"} {set name $name.tgf}

set ff [open $name w 0755]

puts $ff $functionx
puts $ff $functiony
puts $ff $minx
puts $ff $maxx
puts $ff $miny
puts $ff $maxy
puts $ff $maxsteps
puts $ff $endtime
puts $ff $a
puts $ff $b
puts $ff $c
puts $ff $d
puts $ff $e

close $ff
if {$nameflag==1} {set storedir [file dirname $name]}

}

raisewindows
}



