/* TigerGraphics Math and Fractal Tool 1.2 Copyright (C) 2004, Cora Kohlmeier, Frank Hamberg */
#include <stdio.h>
#include <math.h>
#include "constructs.h"

int main(int argc, char *argv[]);

int main(int argc, char *argv[])
{
int i,j,k,l,m,n,nmax,newworld,nachbarn;
int **life,**save;

sscanf(argv[1],"%d",&nmax);
sscanf(argv[2],"%d",&newworld);

life = imatrix(-1,nmax+1,-1,nmax+1);
save = imatrix(-1,nmax+1,-1,nmax+1);

for (i=-1;i<=nmax+1;i++)
   for (j=-1;j<=nmax+1;j++)
   {
     save[i][j]=0;
     life[i][j]=0;
   }

for (i=0;i<=nmax;i++)
   for (j=0;j<=nmax;j++)
   {
     k = 3+i*(nmax+1)+j;
     sscanf(argv[k],"%d",&save[i][j]);
   }

for (i=0;i<=nmax;i++)
   for (j=0;j<=nmax;j++)
   {
/* Bestimmung der Nachbarindizes */
   k= i-1;
   l= j-1;
   m= i+1;
   n= j+1;

if (newworld==1) {
/* Setzen der Randindizes */
      if (i==0) k=nmax;
      if (i==nmax) m=0;
      if (j==0) l=nmax;
      if (j==nmax) n=0;
}


/*
###########################
# DIE REGELN DES AUTOMATEN:
###########################
*/
/* Bestimmung der Nachbarn von i,j*/

nachbarn= save[k][l]+save[i][l]+save[m][l]+save[k][j]
         +save[m][j]+save[k][n]+save[i][n]+save[m][n];

/*
# Eine Zelle wird bei 3 Nachbarn geboren
# und �berlebt bei 2 oder 3 Nachbarn
*/
      switch(nachbarn) {
/*                case 4: life[i][j]=1; break; */
               case 3: life[i][j]=1; break;
               case 2: life[i][j]=save[i][j]; break;
               default: break;
      }
}
for (i=0;i<=nmax;i++)
   for (j=0;j<=nmax;j++)
   printf("%d ",life[i][j]);

   printf("\n");
return(0);
}
