# -*- coding: utf-8 -*-
# Needs 
# scipy 0.8 or higher
# numpy 1.5 or higher
# sympy

# NUMPY 1.3 makes segmentation fault !!!

# Analytical 2D stability analysis
# and numeric solution
# Author C. Kohlmeier
# last change 110424
from sympy import *
#import sympy
#from matplotlib import *

# Parameter to be used
a, b, c, d, e,x, y=symbols('abcdexy')
#f,g,h=map(Function,'fgh')
f,g,h=symbols('fgh')

#a_=0;b_=0;c_=0;d_=0;e_=0;f_=0;g_=0;

# Reading data from tgf file
datei = open('tempin.tgf','r');
data=datei.readlines()
datei.close()

var( 'a b c d e x y f g ')

#The following are sequence objects

f=eval(data[0])
g=eval(data[1])
minx=data[2]
miny=data[3]
maxx=data[4]
maxy=data[5]
maxsteps=data[6]
endtime=data[7]
a_=data[8]
b_=data[9]
c_=data[10]
d_=data[11]
e_=data[12]


#print f
#print g

if a_=='\n':
   a_=0
else:
   a_=a_.replace('\n','')
if b_=='\n':
   b_=0
else:
   b_=b_.replace('\n','')
if c_=='\n':
   c_=0
else:
   c_=c_.replace('\n','')
if d_=='\n':
   d_=0
else:
   d_=d_.replace('\n','')
if e_=='\n':
   e_=0
else:
   e_=e_.replace('\n','')

#print a_
#print b_
#print c_
#print d_
#print e_

f=f.subs({a:a_,b:b_,c:c_,d:d_,e:e_})
g=g.subs({a:a_,b:b_,c:c_,d:d_,e:e_})
print f
print g
### Jacobian matrix

F=Matrix([f,g])
X=Matrix([x,y])

J = F.jacobian(X);

print ""
#print J
print ""

### Non trival steady state
#from scipy.optimize import fsolve

#from scipy import *
from scipy.optimize import fsolve
def ffunc(f):  
    return f 
def gfunc(g):  
    return g


print ffunc(f)
print gfunc(g)

z=symbols('z')

z=1 - 0.15*x - y/(1 + 0.5*x)
def zfunc(x):  
    return 1 - 0.15*x - 2/(1 + 0.5*x)
    
lsg=fsolve(zfunc,0.0)
print ""
print lsg



#print fix

#for i=1:size(fix.x)
#if fix.x(i) ~=0 && fix.y(i)~=0 
  #xstar=fix.x(i);
  #ystar=fix.y(i);
#end
#end

## Linearization
#x=xstar;
#y=ystar;
#Jstar=single(subs(J));


## Writing linear model

#fid = open('tempout.tgf', 'wt');
#fprintf(fid, '#s\n', 'a*x+b*y');
#fprintf(fid, '#s\n', 'c*x+d*y');
#fprintf(fid, '#f\n',-abs(str2num(maxx)));
#fprintf(fid, '#f\n',-abs(str2num(maxy)));
#fprintf(fid, '#f\n',abs(str2num(maxx)));
#fprintf(fid, '#f\n',abs(str2num(maxy)));
#fprintf(fid, '#f\n',str2num(maxsteps));
#fprintf(fid, '#f\n',str2num(endtime));
#fprintf(fid, '#f\n',Jstar(1,1));
#fprintf(fid, '#f\n',Jstar(1,2));
#fprintf(fid, '#f\n',Jstar(2,1));
#fprintf(fid, '#f\n',Jstar(2,2));
#fprintf(fid, '#s\n','');

#fid.close()

#exit;