/* TigerGraphics Math and Fractal Tool 1.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg */
#include <stdio.h>
#include <string.h>
#include <math.h>


int main(int argc, char *argv[]);

int main(int argc, char *argv[])
{
 int nmax,k;
 double lamda,t;
 double s;
 double anf;
 double end;
 double sum;
 double outdelt;
 double mini,maxi;

  sscanf(argv[1],"%d",&nmax);
  sscanf(argv[2],"%lf",&lamda);
  sscanf(argv[3],"%lf",&s);
  sscanf(argv[4],"%lf",&anf);
  sscanf(argv[5],"%lf",&end);
  sscanf(argv[6],"%lf",&outdelt);

  mini=0.0;
  maxi=0.0;

  for (t=anf;t<=end;t+=outdelt)
  {
    sum=0.0;
    for (k=1;k<=nmax;k++)
    {
      sum+=pow(lamda,(s-2.0)*(double)k)*sin(pow(lamda,(double)k)*t);
    }
     mini=mini<sum?mini:sum;
     maxi=maxi>sum?maxi:sum;
     printf("%g ",sum);
  }
     printf("%g ",mini);
     printf("%g ",maxi);
 return(0);
}


