# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc bscalx {x} {
global boldxsize bxmin bxmax
global offsetx 

set x [expr $x-$offsetx]
set xd [expr $bxmax-$bxmin]
return [expr $bxmin+$xd*$x/$boldxsize]
}

proc bscaly {y} {
global boldysize bymin bymax
global offsety

set y [expr $y-$offsety]
set yd [expr $bymax-$bymin]
return [expr $bymin+$yd*($boldysize-$y)/$boldysize]
}

proc bsetcoo {} {
global xc yc plotFontS

.parabel.plot delete coo

set xc [bscalx $xc]
set yc [bscaly $yc]

set item [.parabel.plot create text 15 15 -text "([format "%5.3f" $xc],[format "%5.3f" $yc])" \
           -anchor nw -font $plotFontS -tag coo];

}

