# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc ifs {} {
global install_dir
global can
global filename comname
global toolflag

toplevel .ov

wm title .ov {Tiger Graphics IFS Generator}
wm geometry .ov "[expr $can+400]x$can+0+0"

set toolflag ifs

namespace eval ifs {
variable a b c d e
}

# Initializing of the drawing area
#---------------------------------
canvas .ov.plot -bg white -width $can -height $can
pack .ov.plot -side left

frame .ov.right
pack .ov.right -side top -fill x

# Initializing of the info window
#---------------------------------
ScrolledListbox .ov.right.msg
pack .ov.right.msg -side top -fill x

# Initializing of the buttons
#----------------------------
frame .ov.right.button
pack .ov.right.button -fill x

button  .ov.right.button.tatze -bitmap @$install_dir/icons/tinylogo.pic -command {tatzetool}
pack  .ov.right.button.tatze -side right 

button  .ov.right.button.exit -text {  Exit  } -command {
killwin
destroy .ov
enablemenu}
pack  .ov.right.button.exit -side right 

update idletasks
ifsControl

}
