# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc plotvector {x0 y0 x1 y1 veccolor} {
global can
global tmin tmax
global xmin xmax xdelt pxmin pxmax pxdelt
global ymin ymax ydelt pymin pymax pydelt
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT
global function command fname
global a b c d e
global axmin axmax aymin aymax
global vecx vecy


set color(1) black
set color(2) red
set color(3) seagreen
set color(4) orange

set width 2

set command(1) [makecommand $function(1)]
set command(2) [makecommand $function(2)]

set x $x0
set y $y0

set imgx0 [expr double($command(1))]
set imgy0 [expr double($command(2))]

set axmin [min $axmin $x]
set axmax [max $axmax $x]
set aymin [min $aymin $y]
set aymax [max $aymax $y]
     
set x $x1
set y $y1

set imgx1 [expr double($command(1))]
set imgy1 [expr double($command(2))]

.ov.plot create line [nnx $x0] [nny $y0] [nnx $x1] [nny $y1]  -tag richt -fill $veccolor -width 1 -arrow last
.ov.plot create line [nnx $imgx0] [nny $imgy0] [nnx $imgx1] [nny $imgy1]  -tag richt -fill $veccolor -width $width -arrow last

set axmin [min $axmin $x]
set axmax [max $axmax $x]
set aymin [min $aymin $y]
set aymax [max $aymax $y]
# 
# puts "[nnx $imgx0] [nny $imgy0] [nnx $imgx1] [nny $imgy1] "
}


